#ifndef __PLAYER_HPP__
#define __PLAYER_HPP__

#include "Point.hpp"
#include "Acao.hpp"

struct Action {
	int fazendo;

	int estado;
	int estado_anterior;

	int jogador;
	char next_action[32];

	//ponto destino de minha caminhada
	point indo;

	//ponto de construcao de boneco
	point construindo;

	void incrementa_estado() {
		seta_estado(estado+1);
	}
	void seta_estado(int e) {
		update();
		estado=e;
	}
	void update() {
		estado_anterior=estado;
	}
};

struct Player {
	point pos;
	bool em_pe;
	char holding;
	int dazed;
	//estou vendo o jogador?
	bool vendo;

	int estrategia_usando;
	Action acao;
	bool ajudando;
	void troca_estrategia(int indice_estrategia) {
		if(estrategia_usando!=-1)
			usando_estrategias[estrategia_usando]--;
		estrategia_usando=indice_estrategia;
		usando_estrategias[estrategia_usando]++;
		ajudando=false;
	}
	Estrategia& estrategia() {
		return possiveis_estrategias[estrategia_usando];
	}
};
#endif
