#ifndef __PRIMITIVE_ACTIONS_HPP__
#define __PRIMITIVE_ACTIONS_HPP__

#include "Player.hpp"
#include "Point.hpp"

void _crush(Player& p) {
	sprintf(p.acao.next_action,"crush");
}
void _crouch(Player& p) {
	sprintf(p.acao.next_action,"crouch");
}
void _idle(Player& p) {
	sprintf(p.acao.next_action,"idle");
}
void _stand(Player& p) {
	sprintf(p.acao.next_action,"stand");
}
void _pickup(Player& p,const point& pos) {
	sprintf(p.acao.next_action,"pickup %d %d",pos.x,pos.y);
}
void _drop( Player& p,const point& pos) {
	sprintf(p.acao.next_action,"drop %d %d",pos.x,pos.y);
}
void _run( Player& p,const point& pos) {
	sprintf(p.acao.next_action,"run %d %d",pos.x,pos.y);
}
void _crawl( Player& p,const point& pos) {
	sprintf(p.acao.next_action,"crawl %d %d",pos.x,pos.y);
}
void _catch( Player& p,const point& pos) {
	fprintf(stderr,"CAAAAAAATCH\n");
	sprintf(p.acao.next_action,"catch %d %d",pos.x,pos.y);
}
void _throw( Player& p,const point& pos) {
	if(dist_euclidean(p.pos,pos) >=MAXDIST)
		fprintf(stderr,"MEEERDDAAA\n");
	sprintf(p.acao.next_action,"throw %d %d",pos.x,pos.y);
}

#endif
